function fft_test()
    freq = 200;
    sampleRate = 1000;
    time_ticks = 0:(1/sampleRate):1;
    
    %stem(time_ticks, ones(size(time_ticks)));
    %return;
    
    realSignal = sin(2*pi*freq*time_ticks);
    figure; plot(realSignal);
    plot_fft(realSignal, sampleRate); %axis([-inf inf 0 inf]);
    
    
    complexSignal = exp(j*2*pi*freq*time_ticks);
    figure; hold on; plot(real(complexSignal), 'r'); plot(imag(complexSignal), 'g');
    plot_fft(complexSignal, sampleRate);
   
end